summaryrefslogtreecommitdiff
path: root/bin/delete-packages
diff options
context:
space:
mode:
Diffstat (limited to 'bin/delete-packages')
-rwxr-xr-xbin/delete-packages6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/delete-packages b/bin/delete-packages
index f3c141b..9703804 100755
--- a/bin/delete-packages
+++ b/bin/delete-packages
@@ -86,6 +86,12 @@ if ! ${no_action}; then
exit 1
fi
+ exec 7> "${sanity_check_lock_file}"
+ if ! flock -s ${block_flag} 7; then
+ >&2 echo 'come back (shortly) later - sanity-check running.'
+ exit 1
+ fi
+
fi
clean_up_lock_file() {